Skip to main content
PUT
Update loyalty program detail

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

loyalty program id

Body

application/json
name
string
required

name of loyalty program

renewal_type
enum<string>
required

frequency at which loyalty program will be renewed.

Available options:
yearly,
never,
custom
starts_at
string<date> | null
required

If renewal_type is "custom", a corresponding valid date must be specified; for other types, the value should be null.

date_of_reset
string<date> | null
required

If renewal_type is "custom", a corresponding valid date must be specified; for other types, the value should be null.

tier_upgrade_criteria
enum<string>
required

to decide tier upgradation based on no of orders or total purchase value

Available options:
total-spent,
total-orders,
custom
points_earning_type
enum<string>
required

Defines how points are earned. "dynamic" means points are calculated based on a rate (points_earning_rate), "fixed" means a fixed number of points are given.

Available options:
dynamic,
fixed
point_value
number
default:1
required

The monetary value of one loyalty point.

redemption_expiry_type
enum<string>
required

Defines when loyalty points are expired. "never" means the points never expire, "inactivity" means the points expire after a certain number of days of inactivity, "reset_date" means the points expire when the loyalty program is reset.

Available options:
never,
inactivity,
reset_date
redemption_inactivity_days
integer | null
required

The number of days after the last order was placed, after which the points expire if redemption_expiry_type is "inactivity". required if redemption_expiry_type is "inactivity", otherwise should be null.

tiers
LoyaltyTier · object[]
required
pause_starts_at
string<date-time> | null

If status is "paused", the date and time from which the loyalty program will be paused. If not specified, the loyalty program will be paused immediately.

pause_ends_at
string<date-time> | null

If status is "paused", the date and time until which the loyalty program will be paused. If not specified, the loyalty program will remain paused until it is resumed.

Response

200 - application/json

OK

message
string
success
boolean
content
object